/* ====================Variables===================== */
:root {
  --primary-dark-violet: hsl(256, 26%, 20%);
  --primary-grayish-blue: hsl(216, 30%, 68%);
  --neutral-dark-violet: hsl(270, 9%, 17%);
  --neutral-grayish-violet: hsl(273, 4%, 51%);
  --neutral-light-gray: hsl(0, 0%, 98%);
}

/* =================Global Styles================= */
body {
  font-family: "Karla", sans-serif;
  background-color: var(--neutral-light-gray);
}

.container-fluid {
  padding: 1% 5% 0.5% 5%;
}

h1, h2{
  font-family: 'DM Serif Display', serif;
}

/* Buttons */
.btn {
  border: 1px solid;
  color: var(--neutral-light-gray);
  padding: 10px;
  text-decoration: none;
  font-weight: bold;
  font-size: 1.8rem;
}

.btn:hover {
  background-color: var(--neutral-light-gray);
  color: hsl(270, 9%, 17%);
  text-decoration: none;
}

/*=================Navigation Section Start=============== */
#nav-section {
  font-weight: bold;
}

.nav-item {
  padding: 5px;
}

.navbar-nav {
  text-align: center;
}

.active {
  border: 1px solid;
}

.active:hover {
  background-color: var(--neutral-dark-violet);
  color: var(--neutral-light-gray) !important;
}

/* ===============Intro Section ======================= */
#intro {
  background-color: var(--primary-dark-violet);
  position: relative;
  color: var(--neutral-light-gray);
  padding: 10px;
}

#intro hr {
  float: left;
  border-top: 1.5px solid var(--neutral-light-gray);
  width: 20%;
}

.pattern-left {
  position: absolute;
  left: 0;
  width: 5%;
}

.pattern-right {
  position: absolute;
  top: 0;
  right: 0;
  z-index: 1;
  width: 25%;
}

.intro {
  margin-top: 15%;
}

.intro-heading {
  font-size: 5rem;
  line-height: 1;
  clear: both;
}

.intro-text {
  line-height: 1.5;
  font-size: 1rem;
  margin-bottom: 30px;
  padding-right: 150px;
}

.intro-img {
  display: block;
  margin-top: 10%;
  position: relative;
  top: 130px;
}

/* ===============Features Section ===================== */
#features {
  margin-top: 10%;
}

#features hr {
  float: left;
  border-top: 1.5px solid var(--neutral-grayish-violet);
  width: 10%;
}

.features-heading {
  clear: both;
  font-size: 3.5rem;
  color: var(--primary-dark-violet);
  margin: 2.5% 0;
}

.features-items {
  padding: 10px;
}

.features-sub-heading {
  margin: 3% 0;
}

.features-text {
  padding-right: 25%
}

/* =============== Cta Section ===================== */
#cta {
  margin-top: 5%;
}

.cta-content {
  color: var(--neutral-light-gray);
  background-color: var(--primary-dark-violet);
  padding: 2% 0%;
  text-align: center;
  display: flex;
  justify-content: center;
  align-items: center;
}

.cta-heading {
  font-size: 4.5rem;
}

/* =============== Footer Section ===================== */
/* Footer-icon */
.icon {
  display: inline;
  padding: 0 10px;
  float: right;
}
.footer-logo{
  height: 30px;
}
#footer-links{
  margin-bottom: 3%;
}
.footer-sub-heading{
  color: var(--primary-grayish-blue);
  font-size: 1.3rem;
  font-weight: bold;
  margin-bottom: 20px;
}
.footer-links{
  color: var(--neutral-dark-violet);
  display: block;
  font-size: 1.2rem;
  padding: 5px 0;
}
.footer-links:hover{
color: var(--neutral-dark-violet);
}



/* =================Media Queries================= */
@media (min-width:576px) and (max-width:767px) {

  /* Intro */
  .intro-text {
    padding-right: 0px;
  }
  .intro-img {
    margin: auto;
    padding: 10%;
    position: static;
  }



}

/* End of Media Queries */
@media (max-width:1024px) {
  .btn {
    font-size: 1.3rem;
  }

  /* Intro */
  .intro-text {
    padding-right: 20px;
  }

  .intro-heading {
    font-size: 2.5rem;
    margin-top: 30%;
  }

  .intro {
    position: relative;
    top: 0;
    text-align: center;
  }

  .intro-img {
    position: static;
  }

  #intro hr {
    display: none;
  }

  /* Features */
  #features {
    margin-top: 0;
    text-align: center;
  }

  #features hr {
    display: none;
  }

  .features-heading {
    font-size: 2.5rem;
    margin-top: 40px;
  }

  .features-sub-heading {
    font-size: 1.5rem;
    margin: 5% 0;
  }

  .features-text {
    padding: 0 15%;
  }
  /* Cta Section */
  .cta-heading {
    font-size: 2.5rem;
  }
  /* Footer-icon */
  .col-left{
    text-align: center;
  }
  .col-right{
    padding: 0;
  }
  .col-right ul li{
    float: none;
    padding: 0 20px;
  }
  .col-right ul {
    text-align: center;
    margin: 0;
    padding: 0;
  }
  .footer-logo{
    margin-bottom: 20px;
  }
  .footer-sub-heading{
    padding: 10px;
  }
  .footer-links{
    padding: 5px;
  }
  #footer-links{
    text-align: center;
  }


}


/* End of Media Queries */
